// notifications modal //

.notifications__modal {
    transition: 0.3s ease;
    visibility: hidden;
    opacity: 0;
    
    .notifications__list {
        // padding: 24px 16px;
        overflow-y: scroll;
        height: calc(100% - 70px);
    
        @include scrollbarTransparent;
    
        .notifications__item {
            position: relative;
            background-color: $main-0;
            padding: 20px 16px 16px;
            border-radius: 16px;
            transition: 0.3s ease;
    
            &:not(:last-child) {
                margin-bottom: 16px;
            }
    
            &:hover {
                @include boxShadow;
            }
    
            .notifications__close {
                position: absolute;
                top: 20px;
                right: 16px;
                display: flex;
                padding: 4px;
                border-radius: 8px;

                &:hover {
                    background-color: $main-8;

                    svg {
                        .stroke {
                            stroke: $main-0;
                        }
                    }
                }
            }
    
            .date__info {
                @include f12w500M6;
                display: flex;
                grid-gap: 4px;
                margin-bottom: 12px;
            }
    
            .notifications__text {
                @include f13w400M8;
                margin-bottom: 12px;
            }
        }
    }
}

.notifications__modal.active {
    right: 0;
    visibility: visible;
    opacity: 1;
} 

